package com.wecloud.im.sdk.enums;

import io.geekidea.springbootplus.framework.common.enums.BaseEnum;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;

/**
 * 群聊设置类型枚举
 * @Author luozh
 * @Date 2022年04月27日 11:23
 * @Version 1.0
 */
public enum GroupChatSettingTypeEnum implements BaseEnum {

    /**
     * 1-禁止群成员互加好友
     */
    FORBID_ADD_FRIEND(1, "禁止群成员互加好友"),
    /**
     * 2-禁止群成员发红包
     */
    FORBID_SEND_RED_PACKETS(2, "禁止群成员发红包"),
    /**
     * 3-禁止群成员发图片
     */
    FORBID_SEND_PIC(3, "禁止群成员发图片"),
    /**
     * 4-禁止群成员发链接
     */
    FORBID_SEND_LINK(4, "禁止群成员发链接");


    GroupChatSettingTypeEnum(int code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    @JsonValue
    @EnumValue
    private final Integer code;

    private final String desc;


    @Override
    public Integer getCode() {
        return null;
    }

    @Override
    public String getDesc() {
        return null;
    }
}
